# WhirledServer.WhirledModule (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.whirled.server
Class WhirledServer.WhirledModule

    java.lang.Object
      com.google.inject.AbstractModule
          com.threerings.presents.server.PresentsServer.PresentsModule
              com.threerings.crowd.server.CrowdServer.CrowdModule
                  com.threerings.whirled.server.WhirledServer.WhirledModule

All Implemented Interfaces:
  com.google.inject.Module

Direct Known Subclasses:
  StageServer.StageModule

Enclosing class:
  WhirledServer

    public static class WhirledServer.WhirledModule

extends com.threerings.crowd.server.CrowdServer.CrowdModule

Configures dependencies needed by the Whirled server.

Constructor Summary
`WhirledServer.WhirledModule()`

Method Summary

Methods inherited from class com.google.inject.AbstractModule
`configure`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WhirledServer.WhirledModule

    public WhirledServer.WhirledModule()

Copyright © 2011. All Rights Reserved.